﻿Private Enum CdoConfigSource
	cdoDefaults = -1
	cdoIIS = 1
	cdoOutlookExpress = 2
End Enum

Private Enum CdoDSNOptions
	cdoDSNDefault = 0
	cdoDSNNever = 1
	cdoDSNFailure = 2
	cdoDSNSuccess = 4
	cdoDSNDelay = 8
	cdoDSNSuccessFailOrDelay = 14
End Enum

Private Enum CdoEventStatus
	cdoRunNextSink = 0
	cdoSkipRemainingSinks = 1
End Enum

Private Enum cdoImportanceValues
	cdoLow = 0
	cdoNormal = 1
	cdoHigh = 2
End Enum

Private Enum CdoMessageStat
	cdoStatSuccess = 0
	cdoStatAbortDelivery = 2
	cdoStatBadMail = 3
End Enum

Private Enum CdoMHTMLFlags
	cdoSuppressNone = 0
	cdoSuppressImages = 1
	cdoSuppressBGSounds = 2
	cdoSuppressFrames = 4
	cdoSuppressObjects = 8
	cdoSuppressStyleSheets = 16
	cdoSuppressAll = 31
End Enum

Private Enum CdoNNTPProcessingField
	cdoPostMessage = 1
	cdoProcessControl = 2
	cdoProcessModerator = 4
End Enum

Private Enum CdoPostUsing
	cdoPostUsingPickup = 1
	cdoPostUsingPort = 2
End Enum

Private Enum cdoPriorityValues
	cdoPriorityNonUrgent = -1
	cdoPriorityNormal = 0
	cdoPriorityUrgent = 1
End Enum

Private Enum CdoProtocolsAuthentication
	cdoAnonymous = 0
	cdoBasic = 1
	cdoNTLM = 2
End Enum

Private Enum CdoReferenceType
	cdoRefTypeId = 0
	cdoRefTypeLocation = 1
End Enum

Private Enum CdoSendUsing
	cdoSendUsingPickup = 1
	cdoSendUsingPort = 2
End Enum

Private Enum cdoSensitivityValues
	cdoSensitivityNone = 0
	cdoPersonal = 1
	cdoPrivate = 2
	cdoCompanyConfidential = 3
End Enum

Private Enum CdoTimeZoneId
	cdoUTC = 0
	cdoGMT = 1
	cdoSarajevo = 2
	cdoParis = 3
	cdoBerlin = 4
	cdoEasternEurope = 5
	cdoPrague = 6
	cdoAthens = 7
	cdoBrasilia = 8
	cdoAtlanticCanada = 9
	cdoEastern = 10
	cdoCentral = 11
	cdoMountain = 12
	cdoPacific = 13
	cdoAlaska = 14
	cdoHawaii = 15
	cdoMidwayIsland = 16
	cdoWellington = 17
	cdoBrisbane = 18
	cdoAdelaide = 19
	cdoTokyo = 20
	cdoSingapore = 21
	cdoBangkok = 22
	cdoBombay = 23
	cdoAbuDhabi = 24
	cdoTehran = 25
	cdoBaghdad = 26
	cdoIsrael = 27
	cdoNewfoundland = 28
	cdoAzores = 29
	cdoMidAtlantic = 30
	cdoMonrovia = 31
	cdoBuenosAires = 32
	cdoCaracas = 33
	cdoIndiana = 34
	cdoBogota = 35
	cdoSaskatchewan = 36
	cdoMexicoCity = 37
	cdoArizona = 38
	cdoEniwetok = 39
	cdoFiji = 40
	cdoMagadan = 41
	cdoHobart = 42
	cdoGuam = 43
	cdoDarwin = 44
	cdoBeijing = 45
	cdoAlmaty = 46
	cdoIslamabad = 47
	cdoKabul = 48
	cdoCairo = 49
	cdoHarare = 50
	cdoMoscow = 51
	cdoFloating = 52
	cdoCapeVerde = 53
	cdoCaucasus = 54
	cdoCentralAmerica = 55
	cdoEastAfrica = 56
	cdoMelbourne = 57
	cdoEkaterinburg = 58
	cdoHelsinki = 59
	cdoGreenland = 60
	cdoRangoon = 61
	cdoNepal = 62
	cdoIrkutsk = 63
	cdoKrasnoyarsk = 64
	cdoSantiago = 65
	cdoSriLanka = 66
	cdoTonga = 67
	cdoVladivostok = 68
	cdoWestCentralAfrica = 69
	cdoYakutsk = 70
	cdoDhaka = 71
	cdoSeoul = 72
	cdoPerth = 73
	cdoArab = 74
	cdoTaipei = 75
	cdoSydney2000 = 76
	cdoChihuahua = 77
	cdoCanberraCommonwealthGames2006 = 78
	cdoAdelaideCommonwealthGames2006 = 79
	cdoHobartCommonwealthGames2006 = 80
	cdoTijuana = 81
	cdoInvalidTimeZone = 82
End Enum

' Begin CdoCalendar
	Private Const cdoTimeZoneIDURN = "urn:schemas:calendar:timezoneid"
' End CdoCalendar
' Begin CdoCharset
	Private Const cdoBIG5 = "big5"
	Private Const cdoEUC_JP = "euc-jp"
	Private Const cdoEUC_KR = "euc-kr"
	Private Const cdoGB2312 = "gb2312"
	Private Const cdoISO_2022_JP = "iso-2022-jp"
	Private Const cdoISO_2022_KR = "iso-2022-kr"
	Private Const cdoISO_8859_1 = "iso-8859-1"
	Private Const cdoISO_8859_2 = "iso-8859-2"
	Private Const cdoISO_8859_3 = "iso-8859-3"
	Private Const cdoISO_8859_4 = "iso-8859-4"
	Private Const cdoISO_8859_5 = "iso-8859-5"
	Private Const cdoISO_8859_6 = "iso-8859-6"
	Private Const cdoISO_8859_7 = "iso-8859-7"
	Private Const cdoISO_8859_8 = "iso-8859-8"
	Private Const cdoISO_8859_9 = "iso-8859-9"
	Private Const cdoKOI8_R = "koi8-r"
	Private Const cdoShift_JIS = "shift-jis"
	Private Const cdoUS_ASCII = "us-ascii"
	Private Const cdoUTF_7 = "utf-7"
	Private Const cdoUTF_8 = "utf-8"
	Private Const cdoISO_8859_15 = "iso-8859-15"
' End CdoCharset
' Begin CdoConfiguration
	Private Const cdoAutoPromoteBodyParts = "http://schemas.microsoft.com/cdo/configuration/autopromotebodyparts"
	Private Const cdoFlushBuffersOnWrite = "http://schemas.microsoft.com/cdo/configuration/flushbuffersonwrite"
	Private Const cdoHTTPCookies = "http://schemas.microsoft.com/cdo/configuration/httpcookies"
	Private Const cdoLanguageCode = "http://schemas.microsoft.com/cdo/configuration/languagecode"
	Private Const cdoNNTPAccountName = "http://schemas.microsoft.com/cdo/configuration/nntpaccountname"
	Private Const cdoNNTPAuthenticate = "http://schemas.microsoft.com/cdo/configuration/nntpauthenticate"
	Private Const cdoNNTPConnectionTimeout = "http://schemas.microsoft.com/cdo/configuration/nntpconnectiontimeout"
	Private Const cdoNNTPServer = "http://schemas.microsoft.com/cdo/configuration/nntpserver"
	Private Const cdoNNTPServerPickupDirectory = "http://schemas.microsoft.com/cdo/configuration/nntpserverpickupdirectory"
	Private Const cdoNNTPServerPort = "http://schemas.microsoft.com/cdo/configuration/nntpserverport"
	Private Const cdoNNTPUseSSL = "http://schemas.microsoft.com/cdo/configuration/nntpusessl"
	Private Const cdoPostEmailAddress = "http://schemas.microsoft.com/cdo/configuration/postemailaddress"
	Private Const cdoPostPassword = "http://schemas.microsoft.com/cdo/configuration/postpassword"
	Private Const cdoPostUserName = "http://schemas.microsoft.com/cdo/configuration/postusername"
	Private Const cdoPostUserReplyEmailAddress = "http://schemas.microsoft.com/cdo/configuration/postuserreplyemailaddress"
	Private Const cdoPostUsingMethod = "http://schemas.microsoft.com/cdo/configuration/postusing"
	Private Const cdoSaveSentItems = "http://schemas.microsoft.com/cdo/configuration/savesentitems"
	Private Const cdoSendEmailAddress = "http://schemas.microsoft.com/cdo/configuration/sendemailaddress"
	Private Const cdoSendPassword = "http://schemas.microsoft.com/cdo/configuration/sendpassword"
	Private Const cdoSendUserName = "http://schemas.microsoft.com/cdo/configuration/sendusername"
	Private Const cdoSendUserReplyEmailAddress = "http://schemas.microsoft.com/cdo/configuration/senduserreplyemailaddress"
	Private Const cdoSendUsingMethod = "http://schemas.microsoft.com/cdo/configuration/sendusing"
	Private Const cdoSMTPAccountName = "http://schemas.microsoft.com/cdo/configuration/smtpaccountname"
	Private Const cdoSMTPAuthenticate = "http://schemas.microsoft.com/cdo/configuration/smtpauthenticate"
	Private Const cdoSMTPConnectionTimeout = "http://schemas.microsoft.com/cdo/configuration/smtpconnectiontimeout"
	Private Const cdoSMTPServer = "http://schemas.microsoft.com/cdo/configuration/smtpserver"
	Private Const cdoSMTPServerPickupDirectory = "http://schemas.microsoft.com/cdo/configuration/smtpserverpickupdirectory"
	Private Const cdoSMTPServerPort = "http://schemas.microsoft.com/cdo/configuration/smtpserverport"
	Private Const cdoSMTPUseSSL = "http://schemas.microsoft.com/cdo/configuration/smtpusessl"
	Private Const cdoURLGetLatestVersion = "http://schemas.microsoft.com/cdo/configuration/urlgetlatestversion"
	Private Const cdoURLProxyBypass = "http://schemas.microsoft.com/cdo/configuration/urlproxybypass"
	Private Const cdoURLProxyServer = "http://schemas.microsoft.com/cdo/configuration/urlproxyserver"
	Private Const cdoUseMessageResponseText = "http://schemas.microsoft.com/cdo/configuration/usemessageresponsetext"
' End CdoConfiguration
' Begin CdoContentTypeValues
	Private Const cdoGif = "image/gif"
	Private Const cdoJpeg = "image/jpeg"
	Private Const cdoMessageExternalBody = "message/external-body"
	Private Const cdoMessagePartial = "message/partial"
	Private Const cdoMessageRFC822 = "message/rfc822"
	Private Const cdoMultipartAlternative = "multipart/alternative"
	Private Const cdoMultipartDigest = "multipart/digest"
	Private Const cdoMultipartMixed = "multipart/mixed"
	Private Const cdoMultipartRelated = "multipart/related"
	Private Const cdoTextHTML = "text/html"
	Private Const cdoTextPlain = "text/plain"
' End CdoContentTypeValues
' Begin CdoDAV
	Private Const cdoContentClass = "DAV:contentclass"
	Private Const cdoGetContentType = "DAV:getcontenttype"
' End CdoDAV
' Begin CdoEncodingType
	Private Const cdo7bit = "7bit"
	Private Const cdo8bit = "8bit"
	Private Const cdoBase64 = "base64"
	Private Const cdoBinary = "binary"
	Private Const cdoMacBinHex40 = "mac-binhex40"
	Private Const cdoQuotedPrintable = "quoted-printable"
	Private Const cdoUuencode = "uuencode"
' End CdoEncodingType
' Begin CdoExchange
	Private Const cdoSensitivity = "http://schemas.microsoft.com/exchange/sensitivity"
' End CdoExchange
' Begin CdoHTTPMail
	Private Const cdoAttachmentFilename = "urn:schemas:httpmail:attachmentfilename"
	Private Const cdoBcc = "urn:schemas:httpmail:bcc"
	Private Const cdoCc = "urn:schemas:httpmail:cc"
	Private Const cdoContentDispositionType = "urn:schemas:httpmail:content-disposition-type"
	Private Const cdoContentMediaType = "urn:schemas:httpmail:content-media-type"
	Private Const cdoDate = "urn:schemas:httpmail:date"
	Private Const cdoDateReceived = "urn:schemas:httpmail:datereceived"
	Private Const cdoFrom = "urn:schemas:httpmail:from"
	Private Const cdoHasAttachment = "urn:schemas:httpmail:hasattachment"
	Private Const cdoHTMLDescription = "urn:schemas:httpmail:htmldescription"
	Private Const cdoImportance = "urn:schemas:httpmail:importance"
	Private Const cdoNormalizedSubject = "urn:schemas:httpmail:normalizedsubject"
	Private Const cdoPriority = "urn:schemas:httpmail:priority"
	Private Const cdoReplyTo = "urn:schemas:httpmail:reply-to"
	Private Const cdoSender = "urn:schemas:httpmail:sender"
	Private Const cdoSubject = "urn:schemas:httpmail:subject"
	Private Const cdoTextDescription = "urn:schemas:httpmail:textdescription"
	Private Const cdoThreadTopic = "urn:schemas:httpmail:thread-topic"
	Private Const cdoTo = "urn:schemas:httpmail:to"
' End CdoHTTPMail
' Begin CdoInterfaces
	Private Const cdoAdoStream = "_Stream"
	Private Const cdoIBodyPart = "IBodyPart"
	Private Const cdoIConfiguration = "IConfiguration"
	Private Const cdoIDataSource = "IDataSource"
	Private Const cdoIMessage = "IMessage"
	Private Const cdoIStream = "IStream"
' End CdoInterfaces
' Begin CdoMailHeader
	Private Const cdoApproved = "urn:schemas:mailheader:approved"
	Private Const cdoComment = "urn:schemas:mailheader:comment"
	Private Const cdoContentBase = "urn:schemas:mailheader:content-base"
	Private Const cdoContentDescription = "urn:schemas:mailheader:content-description"
	Private Const cdoContentDisposition = "urn:schemas:mailheader:content-disposition"
	Private Const cdoContentId = "urn:schemas:mailheader:content-id"
	Private Const cdoContentLanguage = "urn:schemas:mailheader:content-language"
	Private Const cdoContentLocation = "urn:schemas:mailheader:content-location"
	Private Const cdoContentTransferEncoding = "urn:schemas:mailheader:content-transfer-encoding"
	Private Const cdoContentType = "urn:schemas:mailheader:content-type"
	Private Const cdoControl = "urn:schemas:mailheader:control"
	Private Const cdoDisposition = "urn:schemas:mailheader:disposition"
	Private Const cdoDispositionNotificationTo = "urn:schemas:mailheader:disposition-notification-to"
	Private Const cdoDistribution = "urn:schemas:mailheader:distribution"
	Private Const cdoExpires = "urn:schemas:mailheader:expires"
	Private Const cdoFollowupTo = "urn:schemas:mailheader:followup-to"
	Private Const cdoInReplyTo = "urn:schemas:mailheader:in-reply-to"
	Private Const cdoLines = "urn:schemas:mailheader:lines"
	Private Const cdoMessageId = "urn:schemas:mailheader:message-id"
	Private Const cdoMIMEVersion = "urn:schemas:mailheader:mime-version"
	Private Const cdoNewsgroups = "urn:schemas:mailheader:newsgroups"
	Private Const cdoOrganization = "urn:schemas:mailheader:organization"
	Private Const cdoOriginalRecipient = "urn:schemas:mailheader:original-recipient"
	Private Const cdoPath = "urn:schemas:mailheader:path"
	Private Const cdoPostingVersion = "urn:schemas:mailheader:posting-version"
	Private Const cdoReceived = "urn:schemas:mailheader:received"
	Private Const cdoReferences = "urn:schemas:mailheader:references"
	Private Const cdoRelayVersion = "urn:schemas:mailheader:relay-version"
	Private Const cdoReturnPath = "urn:schemas:mailheader:return-path"
	Private Const cdoReturnReceiptTo = "urn:schemas:mailheader:return-receipt-to"
	Private Const cdoSummary = "urn:schemas:mailheader:summary"
	Private Const cdoThreadIndex = "urn:schemas:mailheader:thread-index"
	Private Const cdoXMailer = "urn:schemas:mailheader:x-mailer"
	Private Const cdoXref = "urn:schemas:mailheader:xref"
	Private Const cdoXUnsent = "urn:schemas:mailheader:x-unsent"
	Private Const cdoXFidelity = "urn:schemas:mailheader:x-cdostreamhighfidelity"
' End CdoMailHeader
' Begin CdoNamespace
	Private Const cdoNSConfiguration = "http://schemas.microsoft.com/cdo/configuration/"
	Private Const cdoNSContacts = "urn:schemas:contacts:"
	Private Const cdoNSHTTPMail = "urn:schemas:httpmail:"
	Private Const cdoNSMailHeader = "urn:schemas:mailheader:"
	Private Const cdoNSNNTPEnvelope = "http://schemas.microsoft.com/cdo/nntpenvelope/"
	Private Const cdoNSSMTPEnvelope = "http://schemas.microsoft.com/cdo/smtpenvelope/"
' End CdoNamespace
' Begin CdoNNTPEnvelope
	Private Const cdoNewsgroupList = "http://schemas.microsoft.com/cdo/nntpenvelope/newsgrouplist"
	Private Const cdoNNTPProcessing = "http://schemas.microsoft.com/cdo/nntpenvelope/nntpprocessing"
' End CdoNNTPEnvelope
' Begin CdoOffice
	Private Const cdoKeywords = "urn:schemas-microsoft-com:office:office#Keywords"
' End CdoOffice
' Begin CdoSMTPEnvelope
	Private Const cdoArrivalTime = "http://schemas.microsoft.com/cdo/smtpenvelope/arrivaltime"
	Private Const cdoClientIPAddress = "http://schemas.microsoft.com/cdo/smtpenvelope/clientipaddress"
	Private Const cdoMessageStatus = "http://schemas.microsoft.com/cdo/smtpenvelope/messagestatus"
	Private Const cdoPickupFileName = "http://schemas.microsoft.com/cdo/smtpenvelope/pickupfilename"
	Private Const cdoRecipientList = "http://schemas.microsoft.com/cdo/smtpenvelope/recipientlist"
	Private Const cdoSenderEmailAddress = "http://schemas.microsoft.com/cdo/smtpenvelope/senderemailaddress"
' End CdoSMTPEnvelope
' Begin CdoErrors
	Private Const CDO_E_UNCAUGHT_EXCEPTION = -2147220991 ' 0x80040201
	Private Const CDO_E_NOT_OPENED = -2147220990 ' 0x80040202
	Private Const CDO_E_UNSUPPORTED_DATASOURCE = -2147220989 ' 0x80040203
	Private Const CDO_E_INVALID_PROPERTYNAME = -2147220988 ' 0x80040204
	Private Const CDO_E_PROP_UNSUPPORTED = -2147220987 ' 0x80040205
	Private Const CDO_E_INACTIVE = -2147220986 ' 0x80040206
	Private Const CDO_E_NO_SUPPORT_FOR_OBJECTS = -2147220985 ' 0x80040207
	Private Const CDO_E_NOT_AVAILABLE = -2147220984 ' 0x80040208
	Private Const CDO_E_NO_DEFAULT_DROP_DIR = -2147220983 ' 0x80040209
	Private Const CDO_E_SMTP_SERVER_REQUIRED = -2147220982 ' 0x8004020A
	Private Const CDO_E_NNTP_SERVER_REQUIRED = -2147220981 ' 0x8004020B
	Private Const CDO_E_RECIPIENT_MISSING = -2147220980 ' 0x8004020C
	Private Const CDO_E_FROM_MISSING = -2147220979 ' 0x8004020D
	Private Const CDO_E_SENDER_REJECTED = -2147220978 ' 0x8004020E
	Private Const CDO_E_RECIPIENTS_REJECTED = -2147220977 ' 0x8004020F
	Private Const CDO_E_NNTP_POST_FAILED = -2147220976 ' 0x80040210
	Private Const CDO_E_SMTP_SEND_FAILED = -2147220975 ' 0x80040211
	Private Const CDO_E_CONNECTION_DROPPED = -2147220974 ' 0x80040212
	Private Const CDO_E_FAILED_TO_CONNECT = -2147220973 ' 0x80040213
	Private Const CDO_E_INVALID_POST = -2147220972 ' 0x80040214
	Private Const CDO_E_AUTHENTICATION_FAILURE = -2147220971 ' 0x80040215
	Private Const CDO_E_INVALID_CONTENT_TYPE = -2147220970 ' 0x80040216
	Private Const CDO_E_LOGON_FAILURE = -2147220969 ' 0x80040217
	Private Const CDO_E_HTTP_NOT_FOUND = -2147220968 ' 0x80040218
	Private Const CDO_E_HTTP_FORBIDDEN = -2147220967 ' 0x80040219
	Private Const CDO_E_HTTP_FAILED = -2147220966 ' 0x8004021A
	Private Const CDO_E_MULTIPART_NO_DATA = -2147220965 ' 0x8004021B
	Private Const CDO_E_INVALID_ENCODING_FOR_MULTIPART = -2147220964 ' 0x8004021C
	Private Const CDO_E_UNSAFE_OPERATION = -2147220963 ' 0x8004021D
	Private Const CDO_E_PROP_NOT_FOUND = -2147220962 ' 0x8004021E
	Private Const CDO_E_INVALID_SEND_OPTION = -2147220960 ' 0x80040220
	Private Const CDO_E_INVALID_POST_OPTION = -2147220959 ' 0x80040221
	Private Const CDO_E_NO_PICKUP_DIR = -2147220958 ' 0x80040222
	Private Const CDO_E_NOT_ALL_DELETED = -2147220957 ' 0x80040223
	Private Const CDO_E_NO_METHOD = -2147220956 ' 0x80040224
	Private Const CDO_E_PROP_READONLY = -2147220953 ' 0x80040227
	Private Const CDO_E_PROP_CANNOT_DELETE = -2147220952 ' 0x80040228
	Private Const CDO_E_BAD_DATA = -2147220951 ' 0x80040229
	Private Const CDO_E_PROP_NONHEADER = -2147220950 ' 0x8004022A
	Private Const CDO_E_INVALID_CHARSET = -2147220949 ' 0x8004022B
	Private Const CDO_E_ADOSTREAM_NOT_BOUND = -2147220948 ' 0x8004022C
	Private Const CDO_E_CONTENTPROPXML_NOT_FOUND = -2147220947 ' 0x8004022D
	Private Const CDO_E_CONTENTPROPXML_WRONG_CHARSET = -2147220946 ' 0x8004022E
	Private Const CDO_E_CONTENTPROPXML_PARSE_FAILED = -2147220945 ' 0x8004022F
	Private Const CDO_E_CONTENTPROPXML_CONVERT_FAILED = -2147220944 ' 0x80040230
	Private Const CDO_E_NO_DIRECTORIES_SPECIFIED = -2147220943 ' 0x80040231
	Private Const CDO_E_DIRECTORIES_UNREACHABLE = -2147220942 ' 0x80040232
	Private Const CDO_E_BAD_SENDER = -2147220941 ' 0x80040233
	Private Const CDO_E_SELF_BINDING = -2147220940 ' 0x80040234
	Private Const CDO_E_BAD_ATTENDEE_DATA = -2147220939 ' 0x80040235
	Private Const CDO_E_ROLE_NOMORE_AVAILABLE = -2147220938 ' 0x80040236
	Private Const CDO_E_BAD_TASKTYPE_ONASSIGN = -2147220937 ' 0x80040237
	Private Const CDO_E_NOT_ASSIGNEDTO_USER = -2147220936 ' 0x80040238
	Private Const CDO_E_OUTOFDATE = -2147220935 ' 0x80040239
	Private Const CDO_E_ARGUMENT1 = -2147205120 ' 0x80044000
	Private Const CDO_E_ARGUMENT2 = -2147205119 ' 0x80044001
	Private Const CDO_E_ARGUMENT3 = -2147205118 ' 0x80044002
	Private Const CDO_E_ARGUMENT4 = -2147205117 ' 0x80044003
	Private Const CDO_E_ARGUMENT5 = -2147205116 ' 0x80044004
	Private Const CDO_E_NOT_FOUND = -2146644475 ' 0x800CCE05
	Private Const CDO_E_INVALID_ENCODING_TYPE = -2146644451 ' 0x800CCE1D
' End CdoErrors
